[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.Height

The height of the primary monitor.

## Declaration

Source position: forms.pp line 1301

`public property TScreen.Height : Integer read Getheight;`

## Description

Height is a read-only Integer property with the height of the primary monitor for the system. The property value contains the result from GetSystemMetrics using the SM_CYSCREEN parameter.

Values in Height and Width are used when setting the position for forms or other dialogs to ensure that they are visible on the monitor. They are also used when LCL coordinates are converted to screen coordinates to ensure that the positions are valid for the monitor.

## See also

TScreen.PrimaryMonitor |  | The primary monitor which typically includes the task bar area.